SoMFBitMask(3)

NAME
SoMFBitMask - The SoMFBitMask class is a container for a set of bitmasks.

SYNOPSIS

#include <Inventor/fields/SoMFBitMask.h>

Inherits SoMFEnum.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFBitMask & operator= (const SoMFBitMask &field)
virtual SbBool isSame (const SoField &field) const
int operator= (int val)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Additional Inherited Members

Detailed Description

The SoMFBitMask class is a container for a set of bitmasks. This field is used where nodes, engines or other field containers need to store multiple bitmasks with values from an enumerated set.

See also
    SoSFBitMask

Member Function Documentation

  void * SoMFBitMask::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFBitMask::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFBitMask::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoMFEnum.

  void SoMFBitMask::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Reimplemented from SoMFEnum.

  SbBool SoMFBitMask::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Reimplemented from SoMFEnum.

  void SoMFBitMask::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

Author

Generated automatically by Doxygen for Coin from the source code.